/* Background */

uniform lowp sampler2D samp0;
uniform lowp float saturation;

varying lowp vec2 outuva;

void main()
{
	lowp vec4 color = texture2D(samp0, outuva);
    
	/* Calculate gamma corrected luminance */
	lowp float luma = 0.099 * color.x + 0.194 * color.y + 0.0376 * color.z;
    
    /* Darken gradient for nighttime */
	luma *= outuva.y;
    
	/* Desaturate and blue original colour */
	color.rgb = mix( vec3(luma*0.8,luma,luma*2.0), vec3(color.r,color.g,color.b), saturation );

	gl_FragColor = color;
}