/* Background */

uniform lowp sampler2D samp0;

varying lowp vec2 outuva;

void main()
{
	lowp vec4 color = texture2D(samp0, outuva);

	/* Calculate gama corrected luminance (CCIR 601) */
	/* Y' = 0.299 R' + 0.587 G' + 0.114 B' */
	lowp float luma = 0.299 * color.x + 0.587 * color.y + 0.114 * color.z;
	
	/* brightened sepia */
	color.rgb = luma * vec3(0.92, 0.81, 0.65);

	gl_FragColor = color;
}