/* Cloud */

uniform lowp sampler2D samp0; 	/* guide */

varying lowp vec4 outcolor;
varying mediump vec2 outuv;

void main()
{
	lowp vec4 color = texture2D(samp0, outuv);					/* texture */
	lowp float alpha = color.a;
	
	/* Calculate gama corrected luminance (CCIR 601) */
	/* Y' = 0.299 R' + 0.587 G' + 0.114 B' */
	lowp float luma = 0.299 * color.x + 0.587 * color.y + 0.114 * color.z;
	
	color = luma * outcolor;
	color.a = alpha * outcolor.a;
	
	gl_FragColor = color;
	
}