uniform lowp sampler2D samp0;
uniform lowp float lightness;

uniform lowp float spread;
uniform lowp float sampleFactor;    /*   1.0/repeats   */

varying lowp vec2 outuva;
varying lowp vec4 outcolor;
varying lowp vec2 outpos;

lowp vec4 crupSample(mediump vec2 uv) {

	mediump vec4 color = texture2D(samp0, uv);
	return clamp( 5.0 * (color - 0.85), 0.0, 1.0);
}

void main()
{ 
	lowp vec4 color = texture2D(samp0, outuva);
	lowp vec4 total = vec4(0.0,0.0,0.0,0.0);
	
	if (color.r > 0.2 && color.g > 0.2 && color.b > 0.2) {
		for(lowp float i = 0.0; i < 1.0; i+=sampleFactor) {
		
			lowp vec2 dir = i * spread * normalize(outuva - outpos);
			total += sampleFactor * (1.0 - i) * 1.4 * crupSample(outuva - dir);
		}
	}
	
	gl_FragColor = color + total;
}