/* Sprite */

uniform lowp sampler2D samp0;		/* bump texture */
uniform lowp sampler2D samp1;		/* background texture */
uniform lowp float alpha;			/* transparency of texel */
uniform lowp float scale;			/* scale of bump refraction map */

varying mediump vec2 screenUV;		/* coordinates over background */
varying mediump float pressure;		/* fluid pressure value at this point */

/*const lowp vec4 color = vec4(0.14, 0.58, 0.84, 1.0);*/
const lowp vec4 color = vec4(0.4, 0.84, 1.0, 1.0);

void main()
{
	/* fetch bump texture, unpack from [0..1] to [-1..1] */
	lowp vec4 bumpTex = 2.0 * texture2D(samp0, screenUV * 10.0) - 1.0;
	
	/* displace texture coordinates */
	lowp vec2 newUV = screenUV + bumpTex.xy * scale;
	newUV.y = 0.75 - newUV.y; /* align to 4:3 area */
	
	/* read from displaced location */
	lowp vec4 final = texture2D(samp1, newUV) * color;
	final.a = 0.7;
	gl_FragColor = final;
}